Bug 237091 - Usability: Non, root users should be able to see available updates
Usability: Non, root users should be able to see available updates
Status: CLOSED DUPLICATE of bug 213879
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-19 08:33 EDT by Uno Engborg
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 15:09:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uno Engborg 2007-04-19 08:33:34 EDT
Description of problem:

When new updates gets available, a popup shows up and asks me if I want to see
them. When I click the button in the popup to do so, I am supposed to enter the
root password. This is bad, as even ordinary users may want to see this info as
it e.g. may inform them of possible security risks and if they don't have the
root password to install the updates, they should at least be aware that there
is a problem and that there is a patch so they can call their sysadmin or stop
use the system until the patch is installed.

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:

Information on newly available packages should be available to all users,
The only time they should need to be root is if they try to install, update
or delete software. Actually, root there should not be an absolute need for
beeing root even then, as these tasks may have been delegated to specific
users using sudo.


Additional info:
Comment 1 Andre Robatino 2007-04-19 11:31:05 EDT
  Back in the days of up2date, rhn-applet (the predecessor to puplet) used to
allow ordinary users to see a list of updates, and even choose updates to ignore
so that one would only be notified of non-ignored updates.
Comment 2 Jeremy Katz 2007-09-11 15:09:13 EDT

*** This bug has been marked as a duplicate of 213879 ***

Note You need to log in before you can comment on or make changes to this bug.